Thursday, March 26, 2009

Airport Extreme error (-5) after firmware upgrade

I upgraded my Airport Extreme to 7.4.1 (74100.25) firmware and immediately after the upgrade Airport Utility reported "An error occurred while reading the configuration. Make sure your Apple wireless device is plugged in and in range of your computer or connected via Ethernet and try again. (-5)"

Additionally the wireless would not assign a valid IP address to my MacBook Pro.

I resolved this by connecting to the Airport Extreme via ethernet. Then I launched Airport Utility and chose File - Configure Other. I entered the IP address (10.0.1.1) of the device and my password. This brought up the configuration options. I chose from the menu "Base Station", Upload Firmware. This presented a list of firmware choices and I chose 7.3.2. The downgrade completed and I was able to use the wireless again as well as normally configure the Airport Extreme via wireless or ethernet. No more Error -5.

I found this information in the Apple Discussions forum.
Post a Comment